﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Roslyn.Compilers;
using Roslyn.Compilers.CSharp;
using Roslyn.Services;
using Roslyn.Services.CSharp;
using Roslyn.Scripting.CSharp;

namespace ScriptingDateTimeNow
{
	class Program
	{
		static void Main(string[] args)
		{
			var engine = new ScriptEngine();
			engine.ImportNamespace("System");
			var session = engine.CreateSession();
			Console.Out.WriteLine(session.Execute<string>(
				"DateTime.Now.ToString();"));
		}
	}
}
